Home

Get all traces for a specific transaction

POST
https://eth-archive.nownodes.io/

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

The trace_transaction method returns all traces produced by a specific transaction.

This method provides the complete execution trace of a transaction, including all internal calls, delegate calls, and contract creations that occurred during the transaction execution.

Body

application/json

The trace_transaction method returns all traces produced by a specific transaction.

This method provides the complete execution trace of a transaction, including all internal calls, delegate calls, and contract creations that occurred during the transaction execution.

Request payload for Get all traces for a specific transaction.

jsonrpcstring2.0required

JSON-RPC version identifier

methodstringtrace_transactionrequired

The method to be invoked

idinteger | stringrequired

Request identifier for matching responses

paramsArray<string>required

Array containing transaction hash

Response

200OK

Successful transaction traces response

400Bad Request

Invalid request parameters

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal server error